Bug 144845 - [patch] lang/guile: Fails to build on recent 9-CURRENT due to including sys/timeb.h
[patch] lang/guile: Fails to build on recent 9-CURRENT due to including sys/...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2010-03-18 03:40 UTC by Scot Hetzel
Modified: 2010-04-18 18:40 UTC (History)
0 users

See Also:

file.diff (1.36 KB, patch)
2010-03-18 03:40 UTC, Scot Hetzel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Scot Hetzel 2010-03-18 03:40:01 UTC
Due to the recent change to add a warning to sys/timeb.h in 9-CURRENT, lang/guile fails to build due to it sets the -Werror flag.

Fix: The fix to this problem is to remove the check for sys/timeb.h from the configure.in file.

The attached patch provides this fix.

Patch attached with submission follows:
How-To-Repeat: Update to a recent 9-CURRENT
cd /usr/ports/lang/guile
make build

./guile-snarf -o stacks.x stacks.c -DHAVE_CONFIG_H -I.. -I.. -I.. -I/usr/local/include -O2 -pipe -march=nocona -fno-strict-aliasing -Wall -Wmissing-prototypes -Werror
./guile-snarf -o stime.x stime.c -DHAVE_CONFIG_H -I.. -I.. -I.. -I/usr/local/include -O2 -pipe -march=nocona -fno-strict-aliasing -Wall -Wmissing-prototypes -Werror

In file included from stime.c:76:
/usr/include/sys/timeb.h:42:2: error: #warning "this file includes

<sys/timeb.h> which is deprecated"

gmake[2]: *** [stime.x] Error 1
gmake[2]: Leaving directory `/usr/ports/lang/guile/work/guile-1.8.6/libguile'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/lang/guile/work/guile-1.8.6'
gmake: *** [all] Error 2
*** Error code 1

Stop in /usr/ports/lang/guile.
Comment 1 Edwin Groothuis freebsd_committer 2010-03-18 03:40:08 UTC
Maintainer of lang/guile,

Please note that PR ports/144845 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2010-03-18 03:40:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 c11h15no2 2010-03-31 04:29:58 UTC
Looks good to me.
Comment 4 Mark Linimon freebsd_committer 2010-03-31 04:40:34 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Erwin Lansing freebsd_committer 2010-04-18 18:33:15 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 dfilter freebsd_committer 2010-04-18 18:33:20 UTC
erwin       2010-04-18 17:33:06 UTC

  FreeBSD ports repository

  Modified files:
    lang/guile/files     patch-configure.in 
  Fix build on HEAD
  PR:             144845
  Submitted by:   Scot Hetzel <swhetzel@gmail.com>
  Approved by:    maintainer
  Revision  Changes    Path
  1.3       +13 -4     ports/lang/guile/files/patch-configure.in
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"